Package org.opensaml.saml.metadata.resolver.index.impl

# Class EndpointMetadataIndex.EndpointMetadataIndexKey

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.EndpointMetadataIndex.EndpointMetadataIndexKey

All Implemented Interfaces:
  `MetadataIndexKey`

Enclosing class:
  EndpointMetadataIndex

protected static class EndpointMetadataIndex.EndpointMetadataIndexKey extends Object implements MetadataIndexKey
An implementation of `MetadataIndexKey` representing a single SAML metadata endpoint.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`canonicalizedLocation`
The canonicalized location.
`private final QName`
`endpoint`
The endpoint type.
`private boolean`
`isCanonicalizedLowerCase`
Flag indicating whether canonicalized location is the simple lower case fallback strategy.
`private final String`
`location`
The location.
`private final org.slf4j.Logger`
`log`
Logger.
`private final boolean`
`response`
Respone location flag.
`private final QName`
`role`
The role type.

## Constructor Summary

Constructors
Constructor
Description
`EndpointMetadataIndexKey(QName roleType, QName endpointType, String endpointLocation, boolean isResponse)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCanonicalizedLocation()`
Get the canonicalized representation of the location, primarily for use in `hashCode()` and `equals(Object)`.
`QName`
`getEndpointType()`
Gets the entity endpoint type.
`String`
`getLocation()`
Gets the location.
`QName`
`getRoleType()`
Gets the entity role.
`int`
`hashCode()`
`boolean`
`isResponse()`
Gets the response location flag.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

### role

@Nonnull private final QName role
The role type.

### endpoint

@Nonnull private final QName endpoint
The endpoint type.

### location

@Nonnull private final String location
The location.

### response

private final boolean response
Respone location flag.

### canonicalizedLocation

@Nonnull private String canonicalizedLocation
The canonicalized location.

### isCanonicalizedLowerCase

private boolean isCanonicalizedLowerCase
Flag indicating whether canonicalized location is the simple lower case fallback strategy.

## Constructor Details

### EndpointMetadataIndexKey

public EndpointMetadataIndexKey(@Nonnull QName roleType, @Nonnull QName endpointType, @Nonnull @NotEmpty String endpointLocation, boolean isResponse)
Constructor.

Parameters:
  `roleType` - the role type
  `endpointType` - the endpoint type
  `endpointLocation` - the endpoint location
  `isResponse` - flag indicating whether location is a response or not

## Method Details

### getRoleType

@Nonnull public QName getRoleType()
Gets the entity role.

Returns:
  the entity role

### getEndpointType

@Nonnull public QName getEndpointType()
Gets the entity endpoint type.

Returns:
  the endpoint type

### getLocation

@Nonnull public String getLocation()
Gets the location.

Returns:
  the location

### isResponse

public boolean isResponse()
Gets the response location flag.

Returns:
  true if endpoint is a response location, false otherwise

### getCanonicalizedLocation

@Nonnull public String getCanonicalizedLocation()
Get the canonicalized representation of the location, primarily for use in `hashCode()` and `equals(Object)`.

Returns:
  the canonicalized source location

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`